﻿
#mainContainer {
    width: 100%;
    height: 100%;
    background-color: lightslategray;
}

#shadowOverlay {
    box-shadow: inset 0 0 15px #000000;
    position: fixed;
    width: 100%;
    height: 100%;
    z-index:999;
    pointer-events: none;
}

#event_list {
    margin: 0 0;
    width: 6rem;
    height: 4.5rem;
}

#change_event_icon {
    height: 3rem;
    width: auto;
}

#current_event_label {
    font-weight: bold;
    margin: 0 0.5rem;
    font-size: 1.5rem;
}

.recording_btn {
    display: flex;
    flex-direction: column;
    background-color: transparent;
    border: 0;
    width: 5rem;
    background-color: #dddddd90;
    margin: 0.8rem 0.3rem;
    border-radius: 1rem;
    align-items: center;
    height: 3.3rem;
    position: relative;
}

.recording_btn > p{
    margin: 0;
    font-size: 12px;
    font-weight: bold;
    margin-block-start:0;
    margin-block-end: 0;
    padding: 0;
    width: 6rem;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translate(-50%, 0);
}

.recording_btn_img {
    height: 60%;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -75%);
}

#recordingControls {
    position: fixed;
    right: 0.5rem;
    bottom: -0.5rem;
}

#nav_controls {
    position: fixed;
    left: 1rem;
    top: 1rem;
}

#leave-btn {
    left: 0.66rem;
    top: 0.66rem;
}

#sign_close {
    position: relative;
}

#stop_recording {
    position: relative;
}

#leave-btn {
    height: 3rem;
    position: fixed;
}

#settings > img {
    width: 3rem;
    position: fixed;
    right: 1rem;
    top: 1rem;
}

#doc_iframe {
    width: 100%;
    height: 100%;
    border: 0px none;
}

.settings-modal-label {
    margin: 5px;
    width: 5rem;
}

.selector-modal {
    width: 20rem;
    height: 2.4rem;
}

#quality {
    height: 2.4rem;
}

.toastContainer {
    z-index: 11;
    transform: translate(50%, 0);
    width: 15rem;
    left: 50%;
    transform: translate(-50%, 0);
    pointer-events: none !important;
}

#closeSecondaryPageOverlay {
    position: fixed;
    bottom: 2%;
    height: 2.5rem;
    width: 15rem;
    left: 50%;
    transform: translate(-50%, 0);
}

.recording_remaining_duration {
    position: absolute;
    color: white;
    left: 50%;
    top: 35%;
    transform: translate(-50%, -50%);
    font-size: smaller;
}

.recording_ends_soon {
    color: red;
    font-weight: bold;
    font-size: x-large;
}

.confirm_license_bar {
    background: #ffd500bb;
    position: absolute;
    font-size: 0.8rem;
    border-radius: 1rem;
    color: white;
    left: 50%;
    transform: translate(-50%, 0);
    font-weight: bold;
    padding: 0.5rem;
    bottom: 5rem;
    text-align: center;
    max-width: 15rem;
    max-height: 11rem;
    pointer-events: all;
}

.confirm_license_bar > p {
    margin: auto 0;
}

.confirm_license_bar > button {
        height: 2rem;
    }

.confirm_license_bar > input {
    font-size: 1.3rem;
    font-weight: bold;
    width: 10rem;
}

#confirm_ok_close {
    min-width: 5rem;
}

#secondaryPageOverlay {
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: #00000077;
    display: none;
    left: 0;
}

#secondaryPage {
    position: fixed;
    width: 90%;
    height: 90%;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    overflow: hidden;
}

#otherVideos {
    position: fixed;
    bottom: 0rem;
    display: flex;
}

#otherVideos > div {
    width: 10rem;
    height: 10rem;
    overflow: hidden;
    box-shadow: 0px 0px 5px 5px rgb(0 0 0 / 40%);
    transform-origin: bottom left;
    margin: 0.5rem;
    transition: width 0.5s;
    transition: height 0.5s;
}

#otherVideos > div > video {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#garageVideo {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    pointer-events: none;
    transform: translate(-50%, -50%);
}

#garageVideo > div {
    width: 100%;
    height: 100%;
}

#garageVideo > div > video {
    width: 100%;
    height: 100%;
}

#eventSelectorContainer {
    position: fixed;
    margin: 0.4rem;
    background-color: #ffffffbb;
    left: 50%;
    top: 0.66rem;
    transform: translate(-50%, 0);
    padding: 0;
    border-radius: 0.5rem;
    display: flex;
    align-items: center;
    z-index: 10;
}


@media (orientation: landscape) and (min-height: 700px) {
    .mqEnabled #secondaryPageOverlay {
        display: block;
        width: 50%;
    }

    .mqEnabled #secondaryPage {
        position: relative;
        width: 100%;
        height: 100%;
    }

    .mqEnabled #garageVideo {
        width: 50%;
        left: 50%;
        top: 0;
    }

    .mqEnabled #eventSelectorContainer {
        left: 75%;
    }

    .mqEnabled #otherVideos {
        right: 0;
    }

    .mqEnabled #closeSecondaryPageOverlay {
        display: none;
    }

    .mqEnabled #doc {
        display: none;
    }

    .mqEnabled #leave-btn {
        right: 0.66rem;
        bottom: 12rem;
        left: auto;
        top: auto;
    }

    .mqEnabled #recordingControls {
        right: 0.5rem;
        bottom: 15rem;
    }

    .mqEnabled #mainContainer {
        position: absolute;
        left: 50%;
        width: 50%;
    }

    .mqEnabled #garageVideo {
        width: 100%;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
}

@media (orientation: portrait) {
    .mqEnabled #secondaryPageOverlay {
        display: none;
        width: 100%;
    }

    .mqEnabled #secondaryPage {
        position: fixed;
        width: 90%;
        height: 90%;
    }

    .mqEnabled #garageVideo {
        width: 100%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    .mqEnabled #eventSelectorContainer {
        left: 50%;
    }

    .mqEnabled #otherVideos {
        left: 0px;
    }

    .mqEnabled #closeSecondaryPageOverlay {
        display: fixed;
    }

    .mqEnabled #doc {
        display: flex;
    }

    .mqEnabled #leave-btn {
        left: 0.66rem;
        top: 0.66rem;
    }

    .mqEnabled #recordingControls {
        right: 0.5rem;
        bottom: -0.5rem;
    }
}